Name:		zapping
Summary:	A TV viewer for GNOME
Version:	0.9.6
Release:	%mkrel 8
License:	GPL
URL:		http://sourceforge.net/projects/zapping/
Group:		Video
Source0:	http://osdn.dl.sourceforge.net/sourceforge/zapping/%{name}-%{version}.tar.bz2
Patch1:		zapping-0.7.1-lib64.patch
Patch2:		zapping-0.9.6-ppc.patch
Patch3:         zapping-0.9.6-pam.patch
Patch4:         zapping-0.9.6-shift.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	autoconf2.5 libglade2.0-devel libgnomeui2-devel
BuildRequires:	python-devel scrollkeeper perl-XML-Parser
BuildRequires:	zvbi-devel usermode-consoleonly
Requires:	usermode 
Requires:	usermode-consoleonly
Requires(pre):	/sbin/install-info

%description
Zapping is a TV viewer for GNOME that supports both Video4Linux 
and Video4Linux2. It's extensible through plugins based on GTK.

%prep
%setup -q
%patch1 -p1 -b .lib64
%patch2 -p1 -b .ppc
%patch3 -p1
%patch4 -p1
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} plugindir=%{_libdir}/zapping/plugins

perl -pi -e 's,zapping/gnome-television.png,gnome-television,g' %{buildroot}%{_datadir}/applications/*

ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/zapping_setup_fb
ln -sf zapping $RPM_BUILD_ROOT%{_bindir}/zapzilla

# icon
install -dm 755  $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 pixmaps/gnome-television.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=Zapping
Comment=A TV viewer for gnome
Exec=%{name}
Icon=gnome-television.png
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF

%{find_lang} %{name}


%post
%update_menus

  
%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS THANKS ChangeLog README README.plugins TODO BUGS
%doc plugins/alirc/README.alirc
%config(noreplace) %{_sysconfdir}/pam.d/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/security/console.apps/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/gconf/schemas/zapping.schemas
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/zapping/zapping-C.omf
%{_datadir}/pixmaps/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/gnome-television.png
%{_mandir}/*/*

%changelog
* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.9.6-8pclos2010
-rebuild

* Sat Jan 30 2010 Texstar <texstar at gmail.com> 0.9.6-7pclos2010
- rebuild without arts

* Tue Dec 09 2008 slick50 <lxgator@gmail.com> 0.9.6-7pclos2007
- fixed icon in menu 

* Sat Aug 30 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.9.6-6pclos2007
- Rebuild

* Mon Oct 30 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 0.9.6-5pclos2007
- Build for PCLinuxOS 2007

